Bug 436173 - selinux broken on kernel-xen-2.6.21 from Fedora 9 alpha
selinux broken on kernel-xen-2.6.21 from Fedora 9 alpha
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 14:12 EST by Michael Young
Modified: 2009-12-14 15:42 EST (History)
0 users

See Also:
Fixed In Version: kernel-xen-2.6-2.6.25-0.0.rc4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 11:33:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2008-03-05 14:12:52 EST
selinux on xen systems updated from Fedora 8 behave strangely, or fails
completely. The problem seems to be that kernel-xen-2.6.21.7-2897.fc9.i686 for
example uses selinux policy version 21, when Fedora 9 alpha has in general moved
on to policy version 22. The weird behaviour seems to be because the kernel
tries to use the policy.21 file left over from Fedora 8.
Comment 1 Mark McLoughlin 2008-03-06 11:33:47 EST
Should be fixed with kernel-xen-2.6-2.6.25-0.0.rc4.fc9 in tomorrow's rawhide

Note, this kernel has no Dom0 support. See:

  http://www.redhat.com/archives/fedora-xen/2008-March/msg00013.html

Note You need to log in before you can comment on or make changes to this bug.